package com.ruoyi.project.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsTechnicalResultsMapper;
import com.ruoyi.project.domain.TrsTechnicalResults;
import com.ruoyi.project.service.ITrsTechnicalResultsService;
import com.ruoyi.common.core.text.Convert;

/**
 * 专业术语监测Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
@Service
public class TrsTechnicalResultsServiceImpl implements ITrsTechnicalResultsService 
{
    @Autowired
    private TrsTechnicalResultsMapper trsTechnicalResultsMapper;

    /**
     * 查询专业术语监测
     * 
     * @param id 专业术语监测主键
     * @return 专业术语监测
     */
    @Override
    public TrsTechnicalResults selectTrsTechnicalResultsById(Long id)
    {
        return trsTechnicalResultsMapper.selectTrsTechnicalResultsById(id);
    }

    /**
     * 查询专业术语监测列表
     * 
     * @param trsTechnicalResults 专业术语监测
     * @return 专业术语监测
     */
    @Override
    public List<TrsTechnicalResults> selectTrsTechnicalResultsList(TrsTechnicalResults trsTechnicalResults)
    {
        return trsTechnicalResultsMapper.selectTrsTechnicalResultsList(trsTechnicalResults);
    }

    /**
     * 新增专业术语监测
     * 
     * @param trsTechnicalResults 专业术语监测
     * @return 结果
     */
    @Override
    public int insertTrsTechnicalResults(TrsTechnicalResults trsTechnicalResults)
    {
        return trsTechnicalResultsMapper.insertTrsTechnicalResults(trsTechnicalResults);
    }

    /**
     * 修改专业术语监测
     * 
     * @param trsTechnicalResults 专业术语监测
     * @return 结果
     */
    @Override
    public int updateTrsTechnicalResults(TrsTechnicalResults trsTechnicalResults)
    {
        return trsTechnicalResultsMapper.updateTrsTechnicalResults(trsTechnicalResults);
    }

    /**
     * 批量删除专业术语监测
     * 
     * @param ids 需要删除的专业术语监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsTechnicalResultsByIds(String ids)
    {
        return trsTechnicalResultsMapper.deleteTrsTechnicalResultsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除专业术语监测信息
     * 
     * @param id 专业术语监测主键
     * @return 结果
     */
    @Override
    public int deleteTrsTechnicalResultsById(Long id)
    {
        return trsTechnicalResultsMapper.deleteTrsTechnicalResultsById(id);
    }
}
